<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title></title>
</head>
<body>
<h1>Software Engineering Code of Ethics and Professional Practice</h1>
<h4>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practice</h4>
<hr>
<strong>Keywords:</strong> code of ethiocs, professional responsibility, software engineering
<h5>PREAMBLE</h5>
<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details from a cohesive code.</p>
<p>
	Software engineering shall commit themselves to making the analysis, specification, design, development, testing, and maintenance a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineer shall adhere to the following eight Pronciples:
</p>
<h5>PRINCIPLES</h5>
<ol>
	<li><em>Public.</em> Software engineers shall act consistently with the public.</li>
	<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest. </li>
	<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
	<li><em>Judgement.</em> Sostware engineers shall maintain integrity and independence in their professional judgement.</li>
	<li><em>Management.</em> Sofware engineering manages and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
	<li><em>Profession.</em> Sofware engineers shall advance the integritry and reputation of the profession consistent with the public interest.</li>
	<li><em>Colleagues.</em>Sofware engineers shall be fair to and supportive of their collesgues. </li>
	<li><em>Self</em> Sofware engineers shall participate in lifelong learning regarding the practice of their professionand shall promote an ethical approach to the practice of profession.</li>
</ol>
</body>
</html>